#ifndef BILLYSHEET_GUI_DATA_HPP
#define BILLYSHEET_GUI_DATA_HPP


namespace gui {
	class Window;

	class GuiData final {
	private:
		Window &window;

	public:
		GuiData() = delete;

		explicit GuiData(Window &wwindow) : window(wwindow) {}

		[[nodiscard]] Window &get_window() const;

		~GuiData() noexcept = default;
	};
}


#endif //BILLYSHEET_GUI_DATA_HPP
